Перейти до вмісту
AstroWay/api v2.19.0 · docs
усі системи в нормі
UA EN

Jaimini — Rasi Drishti (sign aspects)

POST
/vedic/jaimini/drishti-rasi

Jaimini rasi drishti table: movable signs aspect all fixed except adjacent; fixed aspect all movable except adjacent; dual aspect all other dual. Per Jaimini Sutras 1.1.

curl -X POST https://api.astroway.info/v1/vedic/jaimini/drishti-rasi \
-H "X-Api-Key: aw_live_..." \
-H "Content-Type: application/json" \
-d '{ "date": "1990-05-15", "time": "14:30:00", "timezoneOffset": 3, "latitude": 50.45, "longitude": 30.52 }'

Birth data for a single natal chart. Required: date (YYYY-MM-DD), time (HH:mm:ss). Defaults to lat/lon/tz=0 if omitted; pass real values for accurate computation.

object
date
required
string
/^\d{4}-\d{2}-\d{2}$/
time
required
string
/^\d{2}:\d{2}:\d{2}$/
timezoneOffset
number
0 nullable
latitude
number
0 nullable
longitude
number
0 nullable
houseSystem
string
default: P
name
string
""
city
string
""
zodiacType
string
Allowed values: tropical sidereal
ayanamsaId
number
nullable
cosmogram
boolean
key
additional properties
nullable
Example
{
"date": "1990-05-15",
"time": "14:30:00",
"timezoneOffset": 3,
"latitude": 50.45,
"longitude": 30.52
}

Successful calculation

object
ok
boolean
Example
true
data
object
lagna
object
rasiDrishti
Array<object>
object
sign
number
signName
string
modality
string
aspectingRasis
Array
method
string

Validation error

Example
{
"ok": false,
"error": {
"code": "INVALID_INPUT",
"message": "Validation failed: date: Date must be YYYY-MM-DD",
"details": [
{
"path": "date",
"message": "Date must be YYYY-MM-DD"
}
]
}
}

Missing or invalid API key

Example
{
"ok": false,
"error": {
"code": "INVALID_API_KEY",
"message": "Invalid API key"
}
}
Корисно?